# coding: utf-8

# Copyright 2023 Inria (Institut National de Recherche en Informatique
# et Automatique)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Shamir Secret Sharing tools.

* [DEFAULT_SHAMIR_PRIME][declearn.secagg.shamir.DEFAULT_SHAMIR_PRIME]:
    Default prime value used as modulus in Shamir Secret Sharing functions.
* [generate_secret_shares][declearn.secagg.shamir.generate_secret_shares]:
    Generate secret shares using the Shamir (k, n) threshold scheme.
* [recover_shared_secret][declearn.secagg.shamir.recover_shared_secret]:
    Recover a secret from shares generated by a Shamir (k, n) scheme.
"""

from ._shamir import (
    DEFAULT_SHAMIR_PRIME,
    generate_secret_shares,
    recover_shared_secret,
)
